# Method: locations.getDailyMetricsTimeSeries

- [HTTP request](https://developers.google.com/my-business/reference/performance/rest/v1/locations/getDailyMetricsTimeSeries#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/my-business/reference/performance/rest/v1/locations/getDailyMetricsTimeSeries#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/my-business/reference/performance/rest/v1/locations/getDailyMetricsTimeSeries#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/my-business/reference/performance/rest/v1/locations/getDailyMetricsTimeSeries#body.request_body)
- [Response body](https://developers.google.com/my-business/reference/performance/rest/v1/locations/getDailyMetricsTimeSeries#body.response_body)
  - [JSON representation](https://developers.google.com/my-business/reference/performance/rest/v1/locations/getDailyMetricsTimeSeries#body.GetDailyMetricsTimeSeriesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/my-business/reference/performance/rest/v1/locations/getDailyMetricsTimeSeries#body.aspect)

Returns the values for each date from a given time range that are associated with the specific daily metric.

Example request: `GET
https://businessprofileperformance.googleapis.com/v1/locations/12345:getDailyMetricsTimeSeries?dailyMetric=WEBSITE_CLICKS&dailyRange.start_date.year=2022&dailyRange.start_date.month=1&dailyRange.start_date.day=1&dailyRange.end_date.year=2022&dailyRange.end_date.month=3&dailyRange.end_date.day=31`

### HTTP request

`GET https://businessprofileperformance.googleapis.com/v1/{name=locations/*}:getDailyMetricsTimeSeries`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The location for which the time series should be fetched. Format: locations/{locationId} where locationId is an unobfuscated listing id. |

### Query parameters

| Parameters ||
|---|---|
| `dailyMetric` | ``enum (`https://developers.google.com/my-business/reference/performance/rest/v1/DailyMetric`)`` Required. The metric to retrieve time series. |
| `dailyRange` | ``object (`https://developers.google.com/my-business/reference/performance/rest/v1/DailyRange`)`` Required. The timerange for which the time series will be fetched. |
| `dailySubEntityType` | ``object (`https://developers.google.com/my-business/reference/performance/rest/v1/DailySubEntityType`)`` Optional. The Sub-entity type and id that the time series relates to. Currently supported DailyMetrics = NONE. |

### Request body

The request body must be empty.

### Response body

Represents the response for locations.getDailyMetricsTimeSeries.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "timeSeries": { object (`https://developers.google.com/my-business/reference/performance/rest/v1/TimeSeries`) } } ``` |

| Fields ||
|---|---|
| `timeSeries` | ``object (`https://developers.google.com/my-business/reference/performance/rest/v1/TimeSeries`)`` The daily time series. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/business.manage`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).